# CREDIT_CARD_BILL

The status of a credit card bill has changed.

Endpoint: POST credit_card_bill
Version: 1.0

## Request fields (application/json):

  - `id` (string)
    UUID of the bill whose status changed.
    Example: "aa21dag9d713a066597474a4568fa015bill"

  - `application_id` (string)
    UUID of the credit card application with which the bill is associated.
    Example: "55906d353e6e4208b8172c165d2b61a1ccla"

  - `status` (string)
    Status of the credit card bill.
    Enum: "PENDING", "PAID", "PRELIMINARILY_PAID", "IN_DUNNING", "CLOSED"

  - `start_date` (string)
    The billing cycle start date.
    Example: "2022-04-01"

  - `end_date` (string)
    The billing cycle end date.
    Example: "2022-04-30"

  - `statement_date` (string)
    Date when the statement was issued.
    Example: "2022-05-01"

  - `due_date` (string)
    Date when payment for this bill is due.
    Example: "2022-05-15"

  - `sdd_collection_date` (string)
    Date when the SEPA Direct Debit for collecting the payment will occur.
    Example: "2022-05-16"

  - `previous_bill_amount` (object)
    The amount of the previous credit card bill.

  - `previous_bill_amount.value` (integer)
    The amount.
    Example: 5000

  - `previous_bill_amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `previous_bill_amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `total_outstanding_amount` (object)
    The total outstanding amount for the credit card.

  - `total_outstanding_amount.value` (integer)
    The amount.
    Example: 5000

  - `total_outstanding_amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `total_outstanding_amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `minimum_due_amount` (object)
    The minimum payment the customer must make for this credit card bill.

  - `minimum_due_amount.value` (integer)
    The amount.
    Example: 5000

  - `minimum_due_amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `minimum_due_amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `outstanding_sddr_amount` (object)
    The total amount outstanding for the dunning process.

  - `outstanding_sddr_amount.value` (integer)
    The amount.
    Example: 5000

  - `outstanding_sddr_amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `outstanding_sddr_amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `outstanding_amount` (object)
    The amount remaining to be paid on the current credit card bill (i.e., the total_outstanding_amount minus any previous payments).

  - `outstanding_amount.value` (integer)
    The amount.
    Example: 5000

  - `outstanding_amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `outstanding_amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `current_bill_amount` (object)
    The amount of the current credit card bill.

  - `current_bill_amount.value` (integer)
    The amount.
    Example: 5000

  - `current_bill_amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `current_bill_amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `dunning_fees` (object)
    The amount of dunning fees applied during this billing cycle.

  - `dunning_fees.value` (integer)
    The amount.
    Example: 5000

  - `dunning_fees.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `dunning_fees.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `other_fees` (object)
    Any other fees applied during this billing cycle.

  - `other_fees.value` (integer)
    The amount.
    Example: 5000

  - `other_fees.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `other_fees.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `repayment_type` (string)
    The type of credit card. Possible options are FULL (charge) and PARTIAL (revolving).
    Enum: "FULL", "PARTIAL"

  - `grace_period_in_days` (integer)
    Indicates number of days in the grace period for paying off the required amount in each billing cycle.
    Example: 15

  - `minimum_amount` (object)
    The minimum amount to be repaid each billing cycle.

  - `minimum_amount.value` (integer)
    The amount.
    Example: 5000

  - `minimum_amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `minimum_amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `minimum_percentage` (integer)
    The minimum percentage of the outstanding balance to be repaid each billing cycle.
    Example: 3

  - `accumulated_interest_amount` (object)
    The total amount of interest accrued.

  - `accumulated_interest_amount.value` (integer)
    The amount.
    Example: 5000

  - `accumulated_interest_amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `accumulated_interest_amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `postbox_item_id` (string)
    ID of the Postbox item that corresponds with the credit card bill.
    Example: "c072c6e43f4d486cb553e9cd9fc1bae7pbxi"


## Response 200 fields
